org.keycloak.models.map.realm.entity

## Class MapWebAuthnPolicyEntity

- java.lang.Object
- - org.keycloak.models.map.realm.entity.MapWebAuthnPolicyEntity

- All Implemented Interfaces:
    UpdatableEntity

      public class MapWebAuthnPolicyEntity
      extends Object
      implements UpdatableEntity

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MapWebAuthnPolicyEntity` | `defaultWebAuthnPolicy()`
    `boolean` | `equals(Object obj)`
    `static MapWebAuthnPolicyEntity` | `fromModel(WebAuthnPolicy model)`
    `List<String>` | `getAcceptableAaguids()`
    `String` | `getAttestationConveyancePreference()`
    `String` | `getAuthenticatorAttachment()`
    `Integer` | `getCreateTimeout()`
    `String` | `getRequireResidentKey()`
    `String` | `getRpEntityName()`
    `String` | `getRpId()`
    `List<String>` | `getSignatureAlgorithms()`
    `String` | `getUserVerificationRequirement()`
    `int` | `hashCode()`
    `Boolean` | `isAvoidSameAuthenticatorRegister()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `setAcceptableAaguids(List<String> acceptableAaguids)`
    `void` | `setAttestationConveyancePreference(String attestationConveyancePreference)`
    `void` | `setAuthenticatorAttachment(String authenticatorAttachment)`
    `void` | `setAvoidSameAuthenticatorRegister(boolean avoidSameAuthenticatorRegister)`
    `void` | `setCreateTimeout(int createTimeout)`
    `void` | `setRequireResidentKey(String requireResidentKey)`
    `void` | `setRpEntityName(String rpEntityName)`
    `void` | `setRpId(String rpId)`
    `void` | `setSignatureAlgorithms(List<String> signatureAlgorithms)`
    `void` | `setUserVerificationRequirement(String userVerificationRequirement)`
    `static WebAuthnPolicy` | `toModel(MapWebAuthnPolicyEntity entity)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fromModel

          public static MapWebAuthnPolicyEntity fromModel(WebAuthnPolicy model)

    - #### toModel

          public static WebAuthnPolicy toModel(MapWebAuthnPolicyEntity entity)

    - #### defaultWebAuthnPolicy

          public static MapWebAuthnPolicyEntity defaultWebAuthnPolicy()

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

    - #### getRpEntityName

          public String getRpEntityName()

    - #### setRpEntityName

          public void setRpEntityName(String rpEntityName)

    - #### getSignatureAlgorithms

          public List<String> getSignatureAlgorithms()

    - #### setSignatureAlgorithms

          public void setSignatureAlgorithms(List<String> signatureAlgorithms)

    - #### getRpId

          public String getRpId()

    - #### setRpId

          public void setRpId(String rpId)

    - #### getAttestationConveyancePreference

          public String getAttestationConveyancePreference()

    - #### setAttestationConveyancePreference

          public void setAttestationConveyancePreference(String attestationConveyancePreference)

    - #### getAuthenticatorAttachment

          public String getAuthenticatorAttachment()

    - #### setAuthenticatorAttachment

          public void setAuthenticatorAttachment(String authenticatorAttachment)

    - #### getRequireResidentKey

          public String getRequireResidentKey()

    - #### setRequireResidentKey

          public void setRequireResidentKey(String requireResidentKey)

    - #### getUserVerificationRequirement

          public String getUserVerificationRequirement()

    - #### setUserVerificationRequirement

          public void setUserVerificationRequirement(String userVerificationRequirement)

    - #### getCreateTimeout

          public Integer getCreateTimeout()

    - #### setCreateTimeout

          public void setCreateTimeout(int createTimeout)

    - #### isAvoidSameAuthenticatorRegister

          public Boolean isAvoidSameAuthenticatorRegister()

    - #### setAvoidSameAuthenticatorRegister

          public void setAvoidSameAuthenticatorRegister(boolean avoidSameAuthenticatorRegister)

    - #### getAcceptableAaguids

          public List<String> getAcceptableAaguids()

    - #### setAcceptableAaguids

          public void setAcceptableAaguids(List<String> acceptableAaguids)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.